## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.XMLAreaListener

    java.lang.Object
      org.apache.batik.apps.svgbrowser.NodePickerPanel.XMLAreaListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.DocumentListener

Enclosing class:
  NodePickerPanel

    protected class NodePickerPanel.XMLAreaListener

extends java.lang.Object
implements javax.swing.event.DocumentListener

Listens for the changes in the xml text area and updates this node picker panel if needed.

Constructor Summary
`protected` `NodePickerPanel.XMLAreaListener()`

Method Summary
`void` `changedUpdate(javax.swing.event.DocumentEvent e)`
`void` `insertUpdate(javax.swing.event.DocumentEvent e)`
`void` `removeUpdate(javax.swing.event.DocumentEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodePickerPanel.XMLAreaListener

    protected NodePickerPanel.XMLAreaListener()

Method Detail

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.